Page MenuHomePhabricator

cronspam from argon - apache2 logrotate
Closed, ResolvedPublic

Description

Cron Daemon <root@argon.wikimedia.org>

to root 
/etc/cron.daily/logrotate:
error: error accessing /var/log/apache2: No such file or directory
error: apache2:1 glob failed for /var/log/apache2/*.log
error: found error in /var/log/apache2/*.log , skipping

Brought by apache-commons (installed without apache server):

elukey@argon:~$ dpkg --list | grep apache
rc  apache2.2-common                2.2.22-1ubuntu1.10                Apache HTTP Server common files

elukey@argon:~$ dpkg -S /etc/logrotate.d/apache2
apache2.2-common: /etc/logrotate.d/apache2

elukey@argon:~$ aptitude why apache2.2-common
i   apparmor             Suggests apparmor-utils
p   apparmor-utils       Depends  librpc-xml-perl
p   librpc-xml-perl      Suggests libapache2-mod-perl2
p   libapache2-mod-perl2 Depends  apache2.2-common

Not sure if it is possible to remove apparmor from argon, will double check.

Event Timeline

elukey created this task.Apr 18 2016, 8:42 AM

Mentioned in SAL [2016-04-21T09:57:23Z] <elukey> removed apache2 logrotate config manually from argon as temp patch to remove cronspam from root@ (T132896)

Is this still an issue now that irc.wikimedia.org no longer has an Apache serving an HTTP(S) redirect? What about argon's replacement in Ganeti?

MoritzMuehlenhoff closed this task as Resolved.Jun 14 2016, 5:32 PM
MoritzMuehlenhoff claimed this task.

This doesn't affect kraz (it uses jessie and not precise, so apparmor is not used) and argon is gone, closing the bug.